<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <section name="Rapidrive.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
    </sectionGroup>
  </configSections>
  <runtime>
    <AppContextSwitchOverrides value="Switch.System.Windows.Controls.Grid.StarDefinitionsCanExceedAvailableSpace=true;Switch.System.IO.UseLegacyPathHandling=false;Switch.System.IO.BlockLongPaths=false" />
    <!--suggested here https://weblog.west-wind.com/posts/2019/Feb/14/WPF-Hanging-in-Infinite-Rendering-Loop  
      see also OneNote that it is not fixed in 4.8;       the other two are needed because of Reactor is resetting these-->
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime.CompilerServices.Unsafe" culture="neutral" publicKeyToken="b03f5f7f11d50a3a" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Primitives" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.2.0" newVersion="3.1.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Configuration.Abstractions" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.2.0" newVersion="3.1.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Memory" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.1.1" newVersion="4.0.1.1" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Numerics.Vectors" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.1.4.0" newVersion="4.1.4.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Buffers" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.FileProviders.Abstractions" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.2.0" newVersion="3.1.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.FileSystemGlobbing" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.2.0" newVersion="3.1.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Configuration" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.2.0" newVersion="3.1.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.FileProviders.Physical" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.2.0" newVersion="3.1.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Threading.Tasks.Extensions" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.2.0.1" newVersion="4.2.0.1" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.ValueTuple" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Configuration.FileExtensions" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.2.0" newVersion="3.1.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" culture="neutral" publicKeyToken="30ad4fe6b2a6aeed" />
        <bindingRedirect oldVersion="0.0.0.0-13.0.0.0" newVersion="13.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Collections.Immutable" culture="neutral" publicKeyToken="b03f5f7f11d50a3a" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.CodeAnalysis" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.8.0.0" newVersion="3.8.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.CodeAnalysis.CSharp" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.8.0.0" newVersion="3.8.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Text.Encoding.CodePages" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.0.0.0" newVersion="5.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Validation" publicKeyToken="2fc06f0d701809a7" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.5.0.0" newVersion="2.5.0.0" />
      </dependentAssembly>
    </assemblyBinding>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Reflection.Metadata" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.8" />
  </startup>
  <userSettings>
    <Rapidrive.Properties.Settings>
      <setting name="ShowSystemFiles" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="FileSizeView" serializeAs="String">
        <value>var</value>
      </setting>
      <setting name="ItemFontSize" serializeAs="String">
        <value>12</value>
      </setting>
      <setting name="CleanFilenames" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="TaskmasterMode" serializeAs="String">
        <value>ask</value>
      </setting>
      <setting name="AnimationDuration" serializeAs="String">
        <value>250</value>
      </setting>
      <setting name="LicenseAccepted" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="NumberOfCrashes" serializeAs="String">
        <value>0</value>
      </setting>
      <setting name="InterceptPaste" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="FileAgeType" serializeAs="String">
        <value>var</value>
      </setting>
      <setting name="FileAgeSaturation" serializeAs="String">
        <value>200</value>
      </setting>
      <setting name="FileAgeLuma" serializeAs="String">
        <value>190</value>
      </setting>
      <setting name="EMail" serializeAs="String">
        <value>your@email.com</value>
      </setting>
      <setting name="ShowHiddenFiles" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="UpgradeRequired" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="NumberOfRuns" serializeAs="String">
        <value>0</value>
      </setting>
      <setting name="ThemeName" serializeAs="String">
        <value>Dark</value>
      </setting>
      <setting name="FirstStart" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="ShowFileExtension" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="UseGoogleMaps" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="ShellUseNewThread" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="TipRMB" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="TipWindowSelect" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="PowershellArguments" serializeAs="String">
        <value> -noexit -command "cd '$CurrentPath'"</value>
      </setting>
      <setting name="ShowFolderSize" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="FPClearItemOnDone" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="HandleAllArchives" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="BoldifyNumbers" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="DeletePrompt" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="ShowFullPath" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="MetaTextExtensions" serializeAs="String">
        <value>txt,text,md,ini,xml,json,html,htm,config,conf,cfg,srt,sub,ascii,asc,nfo,inf,readme,me,!!!,1st,url</value>
      </setting>
      <setting name="MetaTextHeight" serializeAs="String">
        <value>10</value>
      </setting>
      <setting name="UseCustomScrollbar" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="ShowNotificationInTitleBar" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="UsePixelScrolling" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="IsPro" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="ProgramVersion" serializeAs="String">
        <value />
      </setting>
      <setting name="HasVoted" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="ShowSubfoldersCount" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="CustomThemePath" serializeAs="String">
        <value />
      </setting>
      <setting name="HideTempFiles" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="KeepFolderDate" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="SwitchDesktopOnOpen" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="UseAcrylic" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="FolderColumnsMode" serializeAs="String">
        <value>2</value>
      </setting>
      <setting name="FoldersSortByNameAlways" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="TaskbarDisplayEnabled" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="TipPreview" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="UseMebibytes" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="ColumnClickToOpen" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="FavoritesBackupPath" serializeAs="String">
        <value />
      </setting>
      <setting name="MinimizeToTray" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="SaveLinkOfDroppedItem" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="ThumbnailBlacklist" serializeAs="String">
        <value>lnk,2do,2dx</value>
      </setting>
      <setting name="ShowFolderBackgroundImage" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="UseQuickLook" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="UsePdfHandler" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="RadarLogDeletedItems" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="SelectFirstItem" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="ActivationKey" serializeAs="String">
        <value />
      </setting>
      <setting name="UseNewFSW" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="ActivationKeyStore" serializeAs="String">
        <value />
      </setting>
      <setting name="UseTaskmaster" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="PreviewAutoplayMedia" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="ColumnsHeight" serializeAs="String">
        <value>200</value>
      </setting>
      <setting name="ColumnsMainPanelWidth" serializeAs="String">
        <value>500</value>
      </setting>
      <setting name="ColumnsMainPanelWidthVertical" serializeAs="String">
        <value>230</value>
      </setting>
      <setting name="PreviewHeight" serializeAs="String">
        <value>100</value>
      </setting>
      <setting name="PreviewWidth" serializeAs="String">
        <value>300</value>
      </setting>
      <setting name="ColumnsPanelWidth" serializeAs="String">
        <value>230</value>
      </setting>
      <setting name="ColumnsPanelWidthSmall" serializeAs="String">
        <value>80</value>
      </setting>
      <setting name="ColumnsPanelWidthMinimum" serializeAs="String">
        <value>12</value>
      </setting>
      <setting name="ColumnsPanelExpandDelay" serializeAs="String">
        <value>1000</value>
      </setting>
      <setting name="ColumnsPanelExpandDuration" serializeAs="String">
        <value>600</value>
      </setting>
      <setting name="BrowserCollapseBreakpointWidth" serializeAs="String">
        <value>350</value>
      </setting>
      <setting name="BrowserCollapseBreakpointHeight" serializeAs="String">
        <value>240</value>
      </setting>
      <setting name="AccentColor" serializeAs="String">
        <value>#FF0078D7</value>
      </setting>
      <setting name="ColumnsPanelExpand" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="ColumnsPanelExpandMaxWidth" serializeAs="String">
        <value>230</value>
      </setting>
      <setting name="ColumnsAlignment" serializeAs="String">
        <value>Right</value>
      </setting>
      <setting name="ColumnsCreateNewWithoutAnimating" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="ShowSafetyDialogs" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="ListItemPadding" serializeAs="String">
        <value>5</value>
      </setting>
      <setting name="ColumnsAlignmentNavPane" serializeAs="String">
        <value>Left</value>
      </setting>
      <setting name="EnableAnimations" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="WindowPlacementPreview" serializeAs="String">
        <value />
      </setting>
      <setting name="SidebarExpandedWidth" serializeAs="String">
        <value>240</value>
      </setting>
      <setting name="ColumnsPanelExpandHorizontal" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="DefaultPath" serializeAs="String">
        <value>%USERPROFILE%</value>
      </setting>
      <setting name="NewTabClonesCurrent" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="TipSystray" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="ShowFolderSizeOnNetwork" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="RestoreSession" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="MMBOpenNewTab" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="DefaultBrowserLayout" serializeAs="String">
        <value>Horizontal</value>
      </setting>
      <setting name="CreateTabAfterCurrent" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="WindowPlacementSettings" serializeAs="String">
        <value />
      </setting>
      <setting name="ShowPathColumnsInFilesProcessor" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="ShowDrivesInSidebar" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="HideExtensionIfExtensionColumnVisible" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="SingleClickOpensFolder" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="SingleClickOpensFile" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="FolderIconsTheme" serializeAs="String">
        <value />
      </setting>
      <setting name="FileIconsTheme" serializeAs="String">
        <value />
      </setting>
      <setting name="MainFolderIcon" serializeAs="String">
        <value />
      </setting>
      <setting name="ShowMetadataOnNetwork" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="UseFileAgeColor" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="TipPreviewDisabledWhenFiltering" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="RenameWithSecondClick" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="DefaultSortFilesBy" serializeAs="String">
        <value>FileName</value>
      </setting>
      <setting name="DefaultSortDirection" serializeAs="String">
        <value>Ascending</value>
      </setting>
      <setting name="DefaultSortFoldersOnTop" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="ExtractAllFolderIcons" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="TipBrowserPaneButtons" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="Font" serializeAs="String">
        <value>Segoe UI</value>
      </setting>
      <setting name="UseVisorHotkey" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="SwitchToWindow" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="ShowExtensionWhenRenaming" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="ShowExtensionRenameWarning" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="CommandShell" serializeAs="String">
        <value>CMD</value>
      </setting>
      <setting name="TerminalArguments" serializeAs="String">
        <value>-d $CurrentPath</value>
      </setting>
      <setting name="ShowWatcherErrors" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="DragAlwaysMoves" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="AskedToPurchaseLicense" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="CloseToSystray" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="AskToCloseToSystray" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="SessionExitCode" serializeAs="String">
        <value>0</value>
      </setting>
      <setting name="DateFormat" serializeAs="String">
        <value>yyyy-MM-dd</value>
      </setting>
      <setting name="TimeFormat" serializeAs="String">
        <value>HH:mm</value>
      </setting>
      <setting name="AutoSwitchToThumbView" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="ExcludedWatcherKeywords" serializeAs="String">
        <value>\AppData\,\ProgramData\,\$RECYCLE.BIN,\Prefetch\,\System Volume Information\,.tmp</value>
      </setting>
      <setting name="HasStats" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="RenameClickingOutside" serializeAs="String">
        <value>0</value>
      </setting>
      <setting name="ShowNotificationOfTextOnClipboard" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="UseHardwareRendering" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="DisableStylusAndTouchSupport" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="EnablePointerSupport" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="SkipReparsePoints" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="UsePerPaneWatchers" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="AB" serializeAs="String">
        <value>?</value>
      </setting>
      <setting name="TIP_ChangingThumbSize" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="OneDrivePath" serializeAs="String">
        <value />
      </setting>
      <setting name="FolderRefreshTimer" serializeAs="String">
        <value>600</value>
      </setting>
    </Rapidrive.Properties.Settings>
  </userSettings>
</configuration>